# Uses of Interface
org.opensaml.xmlsec.signature.KeyInfo

Packages that use KeyInfo
Package
Description
org.opensaml.saml.ext.samlec
Interfaces for SAML-EC GSS-API Mechanism.
org.opensaml.saml.ext.samlec.impl
Implementation for SAML-EC GSS-API schema content.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of KeyInfo in org.opensaml.saml.ext.samlec

Methods in org.opensaml.saml.ext.samlec that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
SessionKey.`getKeyInfo()`
Get the KeyInfo object that describes the session key.
Methods in org.opensaml.saml.ext.samlec with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
SessionKey.`setKeyInfo(KeyInfo newKeyInfo)`
Set the KeyInfo object that describes the session key.

## Uses of KeyInfo in org.opensaml.saml.ext.samlec.impl

Fields in org.opensaml.saml.ext.samlec.impl declared as KeyInfo
Modifier and Type
Field
Description
`private KeyInfo`
SessionKeyImpl.`keyInfo`
KeyInfo child.
Methods in org.opensaml.saml.ext.samlec.impl that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
SessionKeyImpl.`getKeyInfo()`
Get the KeyInfo object that describes the session key.
Methods in org.opensaml.saml.ext.samlec.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
SessionKeyImpl.`setKeyInfo(KeyInfo newKeyInfo)`
Set the KeyInfo object that describes the session key.

## Uses of KeyInfo in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
SubjectConfirmation.`getKeyInfo()`
Gets the key information for the subject.
Methods in org.opensaml.saml.saml1.core with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
SubjectConfirmation.`setKeyInfo(KeyInfo keyInfo)`
Sets the key information for the subject.

## Uses of KeyInfo in org.opensaml.saml.saml1.core.impl

Fields in org.opensaml.saml.saml1.core.impl declared as KeyInfo
Modifier and Type
Field
Description
`private KeyInfo`
SubjectConfirmationImpl.`keyInfo`
Contains the KeyInfo element.
Methods in org.opensaml.saml.saml1.core.impl that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
SubjectConfirmationImpl.`getKeyInfo()`
Gets the key information for the subject.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
SubjectConfirmationImpl.`setKeyInfo(KeyInfo info)`
Sets the key information for the subject.

## Uses of KeyInfo in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl that return types with arguments of type KeyInfo
Modifier and Type
Method
Description
`protected List<KeyInfo>`
HolderOfKeySubjectConfirmationValidator.`getSubjectConfirmationKeyInformation(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context)`
Extracts the `KeyInfo`s from the given subject confirmation data.
Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`protected boolean`
HolderOfKeySubjectConfirmationValidator.`matchesKeyValue(PublicKey key, KeyInfo keyInfo)`
Checks whether the supplied public key matches one of the keys in the given KeyInfo.
`protected boolean`
HolderOfKeySubjectConfirmationValidator.`matchesX509Certificate(X509Certificate cert, KeyInfo keyInfo)`
Checks whether the presenter's certificate matches a certificate described by the X509Data within the KeyInfo.

## Uses of KeyInfo in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type KeyInfo
Modifier and Type
Field
Description
`private XMLSignatureBuilder<KeyInfo>`
Encrypter.`keyInfoBuilder`
Builder for KeyInfo objects.

## Uses of KeyInfo in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
KeyDescriptor.`getKeyInfo()`
Gets information about the key, including the key itself.
Methods in org.opensaml.saml.saml2.metadata with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
KeyDescriptor.`setKeyInfo(KeyInfo newKeyInfo)`
Sets information about the key, including the key itself.

## Uses of KeyInfo in org.opensaml.saml.saml2.metadata.impl

Fields in org.opensaml.saml.saml2.metadata.impl declared as KeyInfo
Modifier and Type
Field
Description
`private KeyInfo`
KeyDescriptorImpl.`keyInfo`
Key information.
Methods in org.opensaml.saml.saml2.metadata.impl that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
KeyDescriptorImpl.`getKeyInfo()`
Gets information about the key, including the key itself.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
KeyDescriptorImpl.`setKeyInfo(KeyInfo newKeyInfo)`
Sets information about the key, including the key itself.

## Uses of KeyInfo in org.opensaml.xmlsec.encryption

Subinterfaces of KeyInfo in org.opensaml.xmlsec.encryption
Modifier and Type
Interface
Description
`interface`
`OriginatorKeyInfo`
XMLObject representing XML Encryption, version 20021210, OriginatorKeyInfo element.
`interface`
`RecipientKeyInfo`
XMLObject representing XML Encryption, version 20021210, RecipientKeyInfo element.
Methods in org.opensaml.xmlsec.encryption that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
EncryptedType.`getKeyInfo()`
Gets the KeyInfo child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
EncryptedType.`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo child element.

## Uses of KeyInfo in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement KeyInfo
Modifier and Type
Class
Description
`class`
`OriginatorKeyInfoImpl`
Concrete implementation of `OriginatorKeyInfo`.
`class`
`RecipientKeyInfoImpl`
Concrete implementation of `RecipientKeyInfo`.
Fields in org.opensaml.xmlsec.encryption.impl declared as KeyInfo
Modifier and Type
Field
Description
`private KeyInfo`
EncryptedTypeImpl.`keyInfo`
EncryptionMethod child element.
Methods in org.opensaml.xmlsec.encryption.impl that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
EncryptedTypeImpl.`getKeyInfo()`
Gets the KeyInfo child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
EncryptedTypeImpl.`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo child element.

## Uses of KeyInfo in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support with type parameters of type KeyInfo
Modifier and Type
Field
Description
`private final XMLSignatureBuilder<KeyInfo>`
Encrypter.`keyInfoBuilder`
Builder instance for building KeyInfo objects.
Methods in org.opensaml.xmlsec.encryption.support that return KeyInfo
Modifier and Type
Method
Description
`protected KeyInfo`
SimpleKeyInfoReferenceEncryptedKeyResolver.`dereferenceURI(KeyInfoReference ref)`
Dereference the URI attribute of the specified retrieval method into a KeyInfo.
Methods in org.opensaml.xmlsec.encryption.support with parameters of type KeyInfo
Modifier and Type
Method
Description
`protected Iterable<EncryptedKey>`
SimpleKeyInfoReferenceEncryptedKeyResolver.`resolveKeyInfo(KeyInfo keyInfo, int limit, Set<String> validRecipients)`
Turn a KeyInfo into an EncryptedKey collection.

## Uses of KeyInfo in org.opensaml.xmlsec.keyinfo

Fields in org.opensaml.xmlsec.keyinfo declared as KeyInfo
Modifier and Type
Field
Description
`private KeyInfo`
KeyInfoCriterion.`keyInfo`
The KeyInfo which serves as the source for credential criteria.
Methods in org.opensaml.xmlsec.keyinfo that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
KeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
KeyInfoCriterion.`getKeyInfo()`
Gets the KeyInfo which is the source of credential criteria.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type KeyInfo
Modifier and Type
Method
Description
`static void`
KeyInfoSupport.`addCertificate(KeyInfo keyInfo, X509Certificate cert)`
Converts a native Java `X509Certificate` into the corresponding XMLObject and stores it in a `KeyInfo` in the first `X509Data` element.
`static void`
KeyInfoSupport.`addCRL(KeyInfo keyInfo, X509CRL crl)`
Converts a native Java `X509CRL` into the corresponding XMLObject and stores it in a `KeyInfo` in the first `X509Data` element.
`static void`
KeyInfoSupport.`addDEREncodedPublicKey(KeyInfo keyInfo, PublicKey pk)`
Converts a Java public key into the corresponding XMLObject and stores it in a `KeyInfo` in a new `DEREncodedKeyValue` element.
`static void`
KeyInfoSupport.`addKeyName(KeyInfo keyInfo, String keyNameValue)`
Add a new `KeyName` value to a KeyInfo.
`static void`
KeyInfoSupport.`addPublicKey(KeyInfo keyInfo, PublicKey pk)`
Converts a Java RSA, EC, DSA or DH public key into the corresponding XMLObject and stores it in a `KeyInfo` in a new `KeyValue` element.
`static List<X509Certificate>`
KeyInfoSupport.`getCertificates(KeyInfo keyInfo)`
Get a list of the Java `X509Certificate` within the given KeyInfo.
`static List<X509CRL>`
KeyInfoSupport.`getCRLs(KeyInfo keyInfo)`
Get a list of the Java `X509CRL`s within the given `KeyInfo`.
`static List<String>`
KeyInfoSupport.`getKeyNames(KeyInfo keyInfo)`
Get the set of key names inside the specified `KeyInfo` as a list of strings.
`static List<PublicKey>`
KeyInfoSupport.`getPublicKeys(KeyInfo keyInfo)`
Extracts all the public keys within the given `KeyInfo`'s `KeyValue`s and `DEREncodedKeyValue`s.
`void`
KeyInfoCriterion.`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo which is the source of credential criteria.
Method parameters in org.opensaml.xmlsec.keyinfo with type arguments of type KeyInfo
Modifier and Type
Method
Description
`default KeyInfoGenerator`
KeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.
Constructors in org.opensaml.xmlsec.keyinfo with parameters of type KeyInfo
Modifier
Constructor
Description
``
`KeyInfoCriterion(KeyInfo newKeyInfo)`
Constructor.

## Uses of KeyInfo in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl declared as KeyInfo
Modifier and Type
Field
Description
`private final KeyInfo`
KeyInfoCredentialContext.`keyInfo`
The KeyInfo context.
`private KeyInfo`
KeyInfoResolutionContext.`keyInfo`
The KeyInfo being processed.
`private KeyInfo`
StaticKeyInfoGenerator.`keyInfo`
The KeyInfo object held by this generator instance.
Fields in org.opensaml.xmlsec.keyinfo.impl with type parameters of type KeyInfo
Modifier and Type
Field
Description
`private static final Map<Class<? extends KeyInfo>,QName>`
BasicKeyInfoGeneratorFactory.`CLASS_TO_NAME`
Mappings from KeyInfo Class to QNames.
`private final Class<? extends KeyInfo>`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`keyInfoType`
The specific type of KeyInfo to generate.
Methods in org.opensaml.xmlsec.keyinfo.impl that return KeyInfo
Modifier and Type
Method
Description
`protected KeyInfo`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`buildKeyInfo()`
Build a new KeyInfo instance.
`private KeyInfo`
StaticKeyInfoGenerator.`clone(KeyInfo origKeyInfo)`
Clone a KeyInfo and return the new object.
`KeyInfo`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
StaticKeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`generate(Credential credential)`
Generate a new KeyInfo object based on keying material and other information within a credential.
`KeyInfo`
KeyInfoCredentialContext.`getKeyInfo()`
Get the KeyInfo context from which the credential was derived.
`KeyInfo`
KeyInfoResolutionContext.`getKeyInfo()`
Gets the KeyInfo being processed.
`KeyInfo`
StaticKeyInfoGenerator.`getKeyInfo()`
Get the static KeyInfo object held by this generator.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`private KeyInfo`
StaticKeyInfoGenerator.`clone(KeyInfo origKeyInfo)`
Clone a KeyInfo and return the new object.
`protected void`
BasicProviderKeyInfoCredentialResolver.`initResolutionContext(KeyInfoResolutionContext kiContext, KeyInfo keyInfo, CriteriaSet criteriaSet)`
Initialize the resolution context that will be used by the providers.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processAgreementParameters(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process `KeyAgreementCredential.getParameters()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCertKeyNameOptions(KeyInfo keyInfo, X509Certificate cert)`
Process the options related to generation of KeyName elements based on certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processCRLs(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `X509Credential.getCRLs()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processEntityCertificate(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `X509Credential.getEntityCertificate()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processEntityCertificateChain(KeyInfo keyInfo, X509Data x509Data, X509Credential credential)`
Process the value of `X509Credential.getEntityCertificateChain()`.
`protected void`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`processEntityID(KeyInfo keyInfo, Credential credential)`
Process the value of `Credential.getEntityId()`.
`private void`
BasicProviderKeyInfoCredentialResolver.`processKeyInfo(KeyInfo keyInfo, KeyInfoResolutionContext kiContext, CriteriaSet criteriaSet, List<Credential> credentials)`
The main processing logic implemented by this resolver.
`protected void`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`processKeyNames(KeyInfo keyInfo, Credential credential)`
Process the values of `Credential.getKeyNames()`.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processOriginatorKeyInfo(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process the `KeyAgreementCredential.getOriginatorCredential()`.
`protected void`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`processPublicKey(KeyInfo keyInfo, Credential credential)`
Process the value of `Credential.getPublicKey()`.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processRecipientKeyInfo(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process `KeyAgreementCredential.getRecipientCredential()`.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processSubjectAltNameKeyNames(KeyInfo keyInfo, X509Certificate cert)`
Process the options related to generation of KeyName elements based on subject alternative name information within the certificate data.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processSubjectCNKeyName(KeyInfo keyInfo, X509Certificate cert)`
Process the options related to generation of KeyName elements based on the the common name field(s) of the certificate's subject DN.
`protected void`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`processSubjectDNKeyName(KeyInfo keyInfo, X509Certificate cert)`
Process the options related to generation of KeyName elements based on the certificate's subject DN value.
`void`
KeyInfoResolutionContext.`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo being processed.
`void`
StaticKeyInfoGenerator.`setKeyInfo(KeyInfo newKeyInfo)`
Set the static KeyInfo object held by this generator.
Method parameters in org.opensaml.xmlsec.keyinfo.impl with type arguments of type KeyInfo
Modifier and Type
Method
Description
`protected QName`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`classToElementName(Class<? extends KeyInfo> type)`
Map the specified KeyInfo type to an element `QName`.
`KeyInfoGenerator`
BasicKeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.
`KeyInfoGenerator`
KeyAgreementKeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.
`KeyInfoGenerator`
X509KeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.
Constructors in org.opensaml.xmlsec.keyinfo.impl with parameters of type KeyInfo
Modifier
Constructor
Description
``
`KeyInfoCredentialContext(KeyInfo ki)`
Constructor.
``
`StaticKeyInfoGenerator(KeyInfo newKeyInfo)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.keyinfo.impl with type arguments of type KeyInfo
Modifier
Constructor
Description
`protected`
`BasicKeyInfoGenerator(BasicKeyInfoGeneratorFactory.BasicOptions newOptions, Class<? extends KeyInfo> type)`
Constructor.
`protected`
`KeyAgreementKeyInfoGenerator(KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions newOptions, Class<? extends KeyInfo> type)`
Constructor.
`protected`
`X509KeyInfoGenerator(X509KeyInfoGeneratorFactory.X509Options newOptions, Class<? extends KeyInfo> type)`
Constructor.

## Uses of KeyInfo in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
Signature.`getKeyInfo()`
Gets the key info added to this signature.
Methods in org.opensaml.xmlsec.signature with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
Signature.`setKeyInfo(KeyInfo newKeyInfo)`
Sets the key info added to this signature.

## Uses of KeyInfo in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement KeyInfo
Modifier and Type
Class
Description
`class`
`KeyInfoImpl`
Concrete implementation of `KeyInfo`.
Fields in org.opensaml.xmlsec.signature.impl declared as KeyInfo
Modifier and Type
Field
Description
`private KeyInfo`
SignatureImpl.`keyInfo`
Public key information to embed in the signature.
Methods in org.opensaml.xmlsec.signature.impl that return KeyInfo
Modifier and Type
Method
Description
`KeyInfo`
KeyInfoBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`KeyInfo`
KeyInfoBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`KeyInfo`
SignatureImpl.`getKeyInfo()`
Gets the key info added to this signature.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type KeyInfo
Modifier and Type
Method
Description
`void`
SignatureImpl.`setKeyInfo(KeyInfo newKeyInfo)`
Sets the key info added to this signature.